// Busca.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "Busca.h"
#include <conio.h>

#include "CBuscaIA.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

using namespace std;

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		cerr << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
	}
	else
	{
		if(argc < 3)
		{
			cerr << _T("Erro de falta de parametros:\n\nSintaxe: Busca <arquivoEntrada.ext> <codigo>\n\nCodigos\tBuscas:\n0\tLargura\n1\tProfundidade\n2\tSubida de Encosta\n3\tMenor Custo") << endl;
			getch();
			return 1;
		}

		int nCod;

		nCod = atoi(argv[2]);

		CBuscaIA busca((CBuscaIA::TIPO)nCod);		// LARGURA, PROFUNDIDADE,
													// ENCOSTA, MENOR_CUSTO
		if(busca.executar(argv[1]))
			getch();
		else
		{
			cerr << _T("O arquivo no pode ser aberto ou  inexistente") << endl;
			getch();
			return 1;
		}		
	}

	return nRetCode;
}


